Subject: Question on ARM Cortex R4 support in Linux

From: [email-masked] (Catalin Marinas)
Date: Mon, 20 Feb 2012 10:41:56 +0000

On Mon, Feb 20, 2012 at 10:26:44AM +0000, Armando Visconti wrote:
> On 02/20/2012 11:01 AM, Catalin Marinas wrote:
> > On Mon, Feb 20, 2012 at 09:52:55AM +0000, Armando Visconti wrote:
> >> We are planning to buy a Cortex-R4 board from ARM.
> >> Lionel Belnet suggested to buy Versatile + a CoreTile with Cortex-R4F
> >> r1p2 Test Chip on it.
> >>
> >> Is there any Linux/ucLinux support already offered for this solution?
> >
> > On www.arm.com/linux there is a uClinux tab with images for download,
> > though the kernel is 2.6.35. Anyway, you can always get a newer kernel
> > and just disable CONFIG_MMU for a RealView/EB board with ARMv6
> > processor.
> 
> So, you are suggesting that we can got for a RealView + CoreTile with
> Cortex-R4F testchip instead of versatile?

I wasn't aware that we have a Versatile board supporting a Cortex-R4
tile. You could just mail support at arm.com and ask them to advise. I
recall I only tested with with a RealView/EB board.

> Why ARMv6?
> Maybe you meant ARMv7?

Yes, ARMv7 (ARM1156 is a v6).

-- 
Catalin